#include <bits/stdc++.h>
using namespace std;

int main()
{
    unsigned int T, ukupno;
    cin >> T;

    vector<pair<unsigned int, unsigned int>> n(T);

    for(int i = 0; i < T; i++)
    {
        cin >> n[i].first;
    }

    for(int i = 0; i < n.size(); i++)
    {
        cout << "\n";
        for(int j = 1; j < n[i].first; j++)
        {
            cout << "\n" << j % 10;
        }
    }
}